/*
	Antenna House PDF Driver API V6.0
	C++ Interface sample program

	TvFo̓t@Cƈݒt@Cw肵PDFo͂s

	Copyright 2016 Antenna House, Inc.
*/


#include "stdafx.h"
#include <iostream>

//CN[ht@C
#include "PdfDrv.h"

#pragma comment(lib,"PdfDrvAPI75AH.lib")

using namespace PdfDrv;
using namespace std;

int wmain(int argc, wchar_t* argv[])
{
	std::locale::global(std::locale("japanese"));
	wcout << L"PDF Driver API V7.5 C++ Tv" << endl;

	try
	{
		PtlDrvConvert conv;

		//o̓t@CƐݒt@CBeXgp̏lݒ肷
		PtlDrvString infile = L"C:\\test\\test.docx";
		PtlDrvString outfile = L"C:\\sav\\out.pdf";
		PtlDrvString setfile = L"standard.ps4";

		//P͓̓t@CƂ
		if (argc >= 2)
		{
			infile = argv[1];
		}

		//Q͏o̓t@CƂ
		if (argc >= 3)
		{
			outfile = argv[2];
		}

		//R͐ݒt@CƂ
		if (argc >= 4)
		{
			setfile = argv[3];
		}

		//ݒt@Cw肷
		if (!conv.setSettingsFile(setfile))
		{
			wcout << L"ݒt@CwɎs" << endl;
			return 1;
		}

		//setSettingsFile()Őݒt@Cw肵convertFileꍇ́AKSELECT_SETTINGS_FILE()Zbg
		conv.setSelectSettings(conv.SELECT_SETTINGS_FILE());

		wcout << L"ϊJn:" << infile.c_str() << " -> " << outfile.c_str() << endl;

		boolean bret = conv.convertFile(infile, outfile);	//ϊ
	}
	catch (PtlDrvException& ex)
	{
		wprintf(L"error code [%d] : %hs\n", ex.getErrorCode(), ex.getErrorMessageJP().c_str());
	}
	catch (...)
	{
		wcout << L"sȗO" << endl;
	}

	wcout << L"I" << endl;

    return 0;
}

